> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Suggest

> Typeahead completions for the CommandPalette.

Performs a fast prefix scan across entity names. In production this hits
the OpenSearch completion suggester; in-memory falls back to substring.



## OpenAPI

````yaml /openapi.json get /v1/search/suggest
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/search/suggest:
    get:
      tags:
        - search
      summary: Search Suggest
      description: |-
        Typeahead completions for the CommandPalette.

        Performs a fast prefix scan across entity names. In production this hits
        the OpenSearch completion suggester; in-memory falls back to substring.
      operationId: search_suggest_v1_search_suggest_get
      parameters:
        - in: query
          name: q
          required: true
          schema:
            maxLength: 128
            minLength: 1
            title: Q
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 8
            maximum: 10
            minimum: 1
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuggestResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    SuggestResponse:
      properties:
        suggestions:
          items:
            $ref: '#/components/schemas/Suggestion'
          title: Suggestions
          type: array
      required:
        - suggestions
      title: SuggestResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Suggestion:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        link:
          anyOf:
            - type: string
            - type: 'null'
          title: Link
        text:
          title: Text
          type: string
        type:
          enum:
            - issue
            - pattern
            - prediction
            - recommendation
            - member
            - query
          title: Type
          type: string
      required:
        - text
        - type
      title: Suggestion
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````